## qt6-declarative 6.8.2+dfsg

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from src.pro.
# special case skip regeneration

if(NOT QT_FEATURE_commandlineparser)
    message(FATAL_ERROR "QT_FEATURE_commandlineparser required to compile qmltyperegistrar")
endif()

add_subdirectory(qmltoolingsettings)
add_subdirectory(qmltyperegistrar)
add_subdirectory(qmlintegration)
add_subdirectory(qml)
add_subdirectory(qmlmodels)

add_subdirectory(core)

if(QT_FEATURE_qml_network)
    add_subdirectory(qmlnetwork)
endif()

if(QT_FEATURE_qml_worker_script)
    add_subdirectory(qmlworkerscript)
endif()

add_subdirectory(qmlmeta)

if(TARGET Qt::Sql)
   add_subdirectory(qmllocalstorage)
 endif()

if(QT_FEATURE_qml_xmllistmodel)
    add_subdirectory(qmlxmllistmodel)
endif()

if(TARGET Qt::Gui AND TARGET Qt::qsb AND QT_FEATURE_qml_animation)
    add_subdirectory(quick)
    add_subdirectory(quicklayouts)

    find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Test)
    if(QT_FEATURE_testlib AND TARGET Qt::Test)
        add_subdirectory(qmltest)
        if(QT_FEATURE_network AND QT_FEATURE_quick_itemview)
            add_subdirectory(quicktestutils)
        endif()
    endif()

    if(QT_FEATURE_quick_particles)
        add_subdirectory(particles)
    endif()

    if(QT_FEATURE_quick_shadereffect)
        add_subdirectory(effects)
    endif()

    if(QT_FEATURE_quick_path)
        add_subdirectory(quickshapes)
    endif()

    if(TARGET Qt::Svg)
        add_subdirectory(quickvectorimage)
    endif()

    if(TARGET Qt::Widgets)
        add_subdirectory(quickwidgets)
    endif()

    add_subdirectory(quicktemplates)
    add_subdirectory(quickcontrolsimpl)
    add_subdirectory(quickcontrols)
    if(QT_FEATURE_quicktemplates2_container)
        add_subdirectory(quickdialogs)
    endif()
    add_subdirectory(quicknativestyle)

    if(QT_FEATURE_testlib AND QT_FEATURE_network AND QT_FEATURE_quick_itemview AND TARGET Qt::Test AND TARGET Qt::QuickControls2 AND NOT (WASM AND BUILD_SHARED_LIBS))
        add_subdirectory(quickcontrolstestutils)
    endif()
else()
    qt_configure_add_summary_section(NAME "Qt Quick")
    qt_configure_add_summary_entry(TYPE "message" ARGS "Qt Quick support" MESSAGE "no")
    qt_configure_add_report_entry(
        TYPE NOTE
        MESSAGE "Qt Quick modules not built due to not finding the qtshadertools 'qsb' tool."
    )
endif()

add_subdirectory(labs)

# special case begin
# These need to be included here since they have dependencies on the modules
# specified above.

add_subdirectory(qmlcompiler)
add_subdirectory(qmldom)

# Build qmlcachegen now, so that we can use it in src/imports.
if(QT_FEATURE_xmlstreamwriter)
    add_subdirectory(../tools/qmlaotstats qmlaotstats)
    add_subdirectory(../tools/qmlcachegen qmlcachegen)
endif()

if(QT_FEATURE_thread AND QT_FEATURE_filesystemwatcher AND QT_FEATURE_processenvironment
        AND TARGET Qt::LanguageServerPrivate)
    if (NOT CMAKE_CROSSCOMPILING OR QT_FORCE_BUILD_TOOLS)
        add_subdirectory(qmlls)
    endif()
endif()

add_subdirectory(plugins)
add_subdirectory(imports)

if(QT_FEATURE_qml_network)

    if(QT_FEATURE_thread AND QT_FEATURE_localserver AND QT_FEATURE_qml_debug)
        add_subdirectory(qmldebug)
    endif()
endif()

add_subdirectory(assets)

# special case end

=== src/core/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(QmlCore
    URI "QtCore"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    PLUGIN_TARGET qtqmlcoreplugin
    CLASS_NAME QtQmlCorePlugin
    DEPENDENCIES
        QtQml/auto
    SOURCES
        qqmlsysteminformation_p.h
        qqmlsysteminformation.cpp
        qqmlstandardpaths_p.h
        qqmlstandardpaths.cpp
        qqmlcoreglobal_p.h
    DEFINES
        QT_BUILD_QML_CORE_LIB
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
    )

qt_internal_extend_target(QmlCore CONDITION QT_FEATURE_settings
    SOURCES
        qqmlsettings_p.h
        qqmlsettings.cpp
)

qt_internal_extend_target(QmlCore CONDITION QT_FEATURE_permissions
    SOURCES
        qqmlpermissions_p.h
)

qt_internal_add_docs(QmlCore
    doc/qtqmlcore.qdocconf
)

=== src/qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

include(Qt6QmlBuildInternals.cmake)

#####################################################################
## Qml Module:
#####################################################################

# Need to evaluate Qml features early. We can't wait until
# qt_internal_add_qml_module() is executed because we need feature evaluation
# to determine some of the arguments to that command.
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/configure.cmake")

set(extra_cmake_files)
set(extra_cmake_includes)
if(ANDROID)
    list(APPEND extra_cmake_files
        "${CMAKE_CURRENT_LIST_DIR}/${INSTALL_CMAKE_NAMESPACE}AndroidQmlMacros.cmake")
    list(APPEND extra_cmake_includes
        "${INSTALL_CMAKE_NAMESPACE}AndroidQmlMacros.cmake")
endif()

qt_internal_add_qml_module(Qml
    URI "QML"
    VERSION "1.0"
    DESIGNER_SUPPORTED
    __QT_INTERNAL_SYSTEM_MODULE
    PLUGIN_TYPES qmltooling
    NO_PLUGIN
    SOURCES
        ../3rdparty/masm/assembler/ARM64Assembler.h
        ../3rdparty/masm/assembler/ARMv7Assembler.cpp ../3rdparty/masm/assembler/ARMv7Assembler.h
        ../3rdparty/masm/assembler/AbstractMacroAssembler.h
        ../3rdparty/masm/assembler/AssemblerBuffer.h
        ../3rdparty/masm/assembler/AssemblerBufferWithConstantPool.h
        ../3rdparty/masm/assembler/CodeLocation.h
        ../3rdparty/masm/assembler/LinkBuffer.cpp ../3rdparty/masm/assembler/LinkBuffer.h
        ../3rdparty/masm/assembler/MIPSAssembler.h
        ../3rdparty/masm/assembler/MacroAssembler.h
        ../3rdparty/masm/assembler/MacroAssemblerARM64.h
        ../3rdparty/masm/assembler/MacroAssemblerARMv7.h
        ../3rdparty/masm/assembler/MacroAssemblerCodeRef.h
        ../3rdparty/masm/assembler/MacroAssemblerMIPS.h
        ../3rdparty/masm/assembler/MacroAssemblerX86.h
        ../3rdparty/masm/assembler/MacroAssemblerX86Common.h
        ../3rdparty/masm/assembler/MacroAssemblerX86_64.h
        ../3rdparty/masm/assembler/X86Assembler.h
        ../3rdparty/masm/assembler/ARMv7Assembler.cpp
        ../3rdparty/masm/disassembler/ARM64/A64DOpcode.cpp ../3rdparty/masm/disassembler/ARM64/A64DOpcode.h
        ../3rdparty/masm/disassembler/ARM64Disassembler.cpp
        ../3rdparty/masm/disassembler/ARMv7/ARMv7DOpcode.cpp ../3rdparty/masm/disassembler/ARMv7/ARMv7DOpcode.h
        ../3rdparty/masm/disassembler/ARMv7Disassembler.cpp
        ../3rdparty/masm/disassembler/Disassembler.cpp
        ../3rdparty/masm/disassembler/Mips32Disassembler.cpp
        ../3rdparty/masm/disassembler/UDis86Disassembler.cpp
        ../3rdparty/masm/disassembler/mips32/Mips32Opcode.cpp ../3rdparty/masm/disassembler/mips32/Mips32Opcode.h
        ../3rdparty/masm/stubs/Options.cpp
        ../3rdparty/masm/stubs/WTFStubs.cpp ../3rdparty/masm/stubs/WTFStubs.h
        ../3rdparty/masm/stubs/wtf/FastAllocBase.h
        ../3rdparty/masm/stubs/wtf/FastMalloc.h
        ../3rdparty/masm/stubs/wtf/Noncopyable.h
        ../3rdparty/masm/stubs/wtf/OwnPtr.h
        ../3rdparty/masm/stubs/wtf/PassOwnPtr.h
        ../3rdparty/masm/stubs/wtf/PassRefPtr.h
        ../3rdparty/masm/stubs/wtf/RefCounted.h
        ../3rdparty/masm/stubs/wtf/RefPtr.h
        ../3rdparty/masm/stubs/wtf/TypeTraits.h
        ../3rdparty/masm/stubs/wtf/UnusedParam.h
        ../3rdparty/masm/stubs/wtf/Vector.h
        ../3rdparty/masm/stubs/yarr/YarrUnicodeProperties.cpp
        ../3rdparty/masm/wtf/ASCIICType.h
        ../3rdparty/masm/wtf/Assertions.h
        ../3rdparty/masm/wtf/Atomics.h
        ../3rdparty/masm/wtf/BumpPointerAllocator.h
        ../3rdparty/masm/wtf/CheckedArithmetic.h
        ../3rdparty/masm/wtf/Compiler.h
        ../3rdparty/masm/wtf/CryptographicallyRandomNumber.h
        ../3rdparty/masm/wtf/DataLog.h
        ../3rdparty/masm/wtf/DynamicAnnotations.h
        ../3rdparty/masm/wtf/EnumClass.h
        ../3rdparty/masm/wtf/FeatureDefines.h
        ../3rdparty/masm/wtf/FilePrintStream.cpp ../3rdparty/masm/wtf/FilePrintStream.h
        ../3rdparty/masm/wtf/Locker.h
        ../3rdparty/masm/wtf/MathExtras.h
        ../3rdparty/masm/wtf/NotFound.h
        ../3rdparty/masm/wtf/NullPtr.h
        ../3rdparty/masm/wtf/OSAllocator.h
        ../3rdparty/masm/wtf/PageAllocation.h
        ../3rdparty/masm/wtf/PageAllocationAligned.cpp ../3rdparty/masm/wtf/PageAllocationAligned.h
        ../3rdparty/masm/wtf/PageBlock.cpp ../3rdparty/masm/wtf/PageBlock.h
        ../3rdparty/masm/wtf/PageReservation.h
        ../3rdparty/masm/wtf/Platform.h
        ../3rdparty/masm/wtf/PossiblyNull.h
        ../3rdparty/masm/wtf/PrintStream.cpp ../3rdparty/masm/wtf/PrintStream.h
        ../3rdparty/masm/wtf/RawPointer.h
        ../3rdparty/masm/wtf/SegmentedVector.h
        ../3rdparty/masm/wtf/StdLibExtras.h
        ../3rdparty/masm/wtf/VMTags.h
        ../3rdparty/masm/yarr/Yarr.h
        ../3rdparty/masm/yarr/YarrCanonicalizeUCS2.cpp ../3rdparty/masm/yarr/YarrCanonicalizeUCS2.h
        ../3rdparty/masm/yarr/YarrCanonicalizeUnicode.cpp
        ../3rdparty/masm/yarr/YarrInterpreter.cpp ../3rdparty/masm/yarr/YarrInterpreter.h
        ../3rdparty/masm/yarr/YarrJIT.cpp ../3rdparty/masm/yarr/YarrJIT.h
        ../3rdparty/masm/yarr/YarrParser.h
        ../3rdparty/masm/yarr/YarrPattern.cpp ../3rdparty/masm/yarr/YarrPattern.h
        ../3rdparty/masm/yarr/YarrSyntaxChecker.cpp ../3rdparty/masm/yarr/YarrSyntaxChecker.h
        ../3rdparty/masm/yarr/YarrUnicodeProperties.h
        common/qjsnumbercoercion.cpp common/qjsnumbercoercion.h
        common/qqmljsdiagnosticmessage_p.h
        common/qqmljsfixedpoolarray_p.h
        common/qqmljsmemorypool_p.h
        common/qqmljssourcelocation_p.h
        common/qqmlsignalnames_p.h common/qqmlsignalnames.cpp
        common/qqmltranslation.cpp common/qqmltranslation_p.h
        common/qv4alloca_p.h
        common/qv4calldata_p.h
        common/qv4compileddata.cpp common/qv4compileddata_p.h
        common/qv4staticvalue_p.h
        common/qv4stringtoarrayindex_p.h
        compat/removed_api.cpp
        compiler/qqmlirbuilder.cpp compiler/qqmlirbuilder_p.h
        compiler/qv4bytecodegenerator.cpp compiler/qv4bytecodegenerator_p.h
        compiler/qv4bytecodehandler.cpp compiler/qv4bytecodehandler_p.h
        compiler/qv4codegen.cpp compiler/qv4codegen_p.h
        compiler/qv4compiler.cpp compiler/qv4compiler_p.h
        compiler/qv4compilercontext.cpp compiler/qv4compilercontext_p.h
        compiler/qv4compilercontrolflow_p.h
        compiler/qv4compilerglobal_p.h
        compiler/qv4compilerscanfunctions.cpp compiler/qv4compilerscanfunctions_p.h
        compiler/qv4instr_moth.cpp compiler/qv4instr_moth_p.h
        compiler/qv4util_p.h
        debugger/qqmldebug.h
        debugger/qqmldebugconnector_p.h
        debugger/qqmldebugserviceinterfaces_p.h
        debugger/qqmldebugstatesdelegate_p.h
        debugger/qqmlprofiler_p.h
        inlinecomponentutils_p.h
        jsapi/qjsengine.cpp jsapi/qjsengine.h jsapi/qjsengine_p.h
        jsapi/qjslist.cpp jsapi/qjslist.h
        jsapi/qjsmanagedvalue.cpp jsapi/qjsmanagedvalue.h
        jsapi/qjsprimitivevalue.cpp jsapi/qjsprimitivevalue.h
        jsapi/qjsvalue.cpp jsapi/qjsvalue.h jsapi/qjsvalue_p.h
        jsapi/qjsvalueiterator.cpp jsapi/qjsvalueiterator.h jsapi/qjsvalueiterator_p.h
        jsruntime/qv4argumentsobject.cpp jsruntime/qv4argumentsobject_p.h
        jsruntime/qv4arraybuffer.cpp jsruntime/qv4arraybuffer_p.h
        jsruntime/qv4arraydata.cpp jsruntime/qv4arraydata_p.h
        jsruntime/qv4arrayiterator.cpp jsruntime/qv4arrayiterator_p.h
        jsruntime/qv4arrayobject.cpp jsruntime/qv4arrayobject_p.h
        jsruntime/qv4atomics.cpp jsruntime/qv4atomics_p.h
        jsruntime/qv4booleanobject.cpp jsruntime/qv4booleanobject_p.h
        jsruntime/qv4compilationunitmapper.cpp jsruntime/qv4compilationunitmapper_p.h
        jsruntime/qv4context.cpp jsruntime/qv4context_p.h
        jsruntime/qv4dataview.cpp jsruntime/qv4dataview_p.h
        jsruntime/qv4dateobject.cpp jsruntime/qv4dateobject_p.h
        jsruntime/qv4debugging.cpp jsruntime/qv4debugging_p.h
        jsruntime/qv4domerrors.cpp jsruntime/qv4domerrors_p.h
        jsruntime/qv4engine.cpp jsruntime/qv4engine_p.h
        jsruntime/qv4enginebase_p.h
        jsruntime/qv4errorobject.cpp jsruntime/qv4errorobject_p.h
        jsruntime/qv4estable.cpp jsruntime/qv4estable_p.h
        jsruntime/qv4executableallocator.cpp jsruntime/qv4executableallocator_p.h
        jsruntime/qv4executablecompilationunit.cpp jsruntime/qv4executablecompilationunit_p.h
        jsruntime/qv4function.cpp jsruntime/qv4function_p.h
        jsruntime/qv4functionobject.cpp jsruntime/qv4functionobject_p.h
        jsruntime/qv4functiontable_p.h
        jsruntime/qv4generatorobject.cpp jsruntime/qv4generatorobject_p.h
        jsruntime/qv4global_p.h
        jsruntime/qv4globalobject.cpp jsruntime/qv4globalobject_p.h
        jsruntime/qv4identifierhash.cpp jsruntime/qv4identifierhash_p.h
        jsruntime/qv4identifierhashdata_p.h
        jsruntime/qv4identifiertable.cpp jsruntime/qv4identifiertable_p.h
        jsruntime/qv4include.cpp jsruntime/qv4include_p.h
        jsruntime/qv4internalclass.cpp jsruntime/qv4internalclass_p.h
        jsruntime/qv4iterator.cpp jsruntime/qv4iterator_p.h
        jsruntime/qv4jscall_p.h jsruntime/qv4jscall.cpp
        jsruntime/qv4jsonobject.cpp jsruntime/qv4jsonobject_p.h
        jsruntime/qv4lookup.cpp jsruntime/qv4lookup_p.h
        jsruntime/qv4managed.cpp jsruntime/qv4managed_p.h
        jsruntime/qv4mapiterator.cpp jsruntime/qv4mapiterator_p.h
        jsruntime/qv4mapobject.cpp jsruntime/qv4mapobject_p.h
        jsruntime/qv4math_p.h
        jsruntime/qv4mathobject.cpp jsruntime/qv4mathobject_p.h
        jsruntime/qv4memberdata.cpp jsruntime/qv4memberdata_p.h
        jsruntime/qv4module.cpp jsruntime/qv4module_p.h
        jsruntime/qv4numberobject.cpp jsruntime/qv4numberobject_p.h
        jsruntime/qv4object.cpp jsruntime/qv4object_p.h
        jsruntime/qv4objectiterator.cpp jsruntime/qv4objectiterator_p.h
        jsruntime/qv4objectproto.cpp jsruntime/qv4objectproto_p.h
        jsruntime/qv4persistent.cpp jsruntime/qv4persistent_p.h
        jsruntime/qv4profiling_p.h
        jsruntime/qv4promiseobject.cpp jsruntime/qv4promiseobject_p.h
        jsruntime/qv4property_p.h
        jsruntime/qv4propertykey.cpp jsruntime/qv4propertykey_p.h
        jsruntime/qv4proxy.cpp jsruntime/qv4proxy_p.h
        jsruntime/qv4qmetaobjectwrapper.cpp jsruntime/qv4qmetaobjectwrapper_p.h
        jsruntime/qv4qmlcontext.cpp jsruntime/qv4qmlcontext_p.h
        jsruntime/qv4qobjectwrapper.cpp jsruntime/qv4qobjectwrapper_p.h
        jsruntime/qv4referenceobject.cpp jsruntime/qv4referenceobject_p.h
        jsruntime/qv4reflect.cpp jsruntime/qv4reflect_p.h
        jsruntime/qv4regexp.cpp jsruntime/qv4regexp_p.h
        jsruntime/qv4regexpobject.cpp jsruntime/qv4regexpobject_p.h
        jsruntime/qv4resolvedtypereference.cpp jsruntime/qv4resolvedtypereference_p.h
        jsruntime/qv4runtime.cpp jsruntime/qv4runtime_p.h
        jsruntime/qv4runtimeapi_p.h
        jsruntime/qv4runtimecodegen.cpp jsruntime/qv4runtimecodegen_p.h
        jsruntime/qv4scopedvalue_p.h
        jsruntime/qv4script.cpp jsruntime/qv4script_p.h
        jsruntime/qv4sequenceobject.cpp jsruntime/qv4sequenceobject_p.h
        jsruntime/qv4setiterator.cpp jsruntime/qv4setiterator_p.h
        jsruntime/qv4setobject.cpp jsruntime/qv4setobject_p.h
        jsruntime/qv4sparsearray.cpp jsruntime/qv4sparsearray_p.h
        jsruntime/qv4sqlerrors.cpp jsruntime/qv4sqlerrors_p.h
        jsruntime/qv4stackframe.cpp jsruntime/qv4stackframe_p.h
        jsruntime/qv4string.cpp jsruntime/qv4string_p.h
        jsruntime/qv4stringiterator.cpp jsruntime/qv4stringiterator_p.h
        jsruntime/qv4stringobject.cpp jsruntime/qv4stringobject_p.h
        jsruntime/qv4symbol.cpp jsruntime/qv4symbol_p.h
        jsruntime/qv4typedarray.cpp jsruntime/qv4typedarray_p.h

=== src/quick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Quick Module:
#####################################################################

qt_internal_add_qml_module(Quick
    URI "QtQuick"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    PLUGIN_TARGET qtquick2plugin
    NO_GENERATE_PLUGIN_SOURCE
    CLASS_NAME QtQuick2Plugin
    IMPORTS
        QtQml/auto
    PLUGIN_TYPES scenegraph
    SOURCES
        handlers/qquickdragaxis.cpp handlers/qquickdragaxis_p.h
        handlers/qquickdraghandler.cpp handlers/qquickdraghandler_p.h
        handlers/qquickhandlerpoint.cpp handlers/qquickhandlerpoint_p.h
        handlers/qquickhoverhandler.cpp handlers/qquickhoverhandler_p.h
        handlers/qquickmultipointhandler.cpp handlers/qquickmultipointhandler_p.h
        handlers/qquickmultipointhandler_p_p.h
        handlers/qquickpinchhandler.cpp handlers/qquickpinchhandler_p.h
        handlers/qquickpointerdevicehandler.cpp handlers/qquickpointerdevicehandler_p.h
        handlers/qquickpointerdevicehandler_p_p.h
        handlers/qquickpointerhandler.cpp handlers/qquickpointerhandler_p.h
        handlers/qquickpointerhandler_p_p.h
        handlers/qquickpointhandler.cpp handlers/qquickpointhandler_p.h
        handlers/qquicksinglepointhandler.cpp handlers/qquicksinglepointhandler_p.h
        handlers/qquicksinglepointhandler_p_p.h
        handlers/qquicktaphandler.cpp handlers/qquicktaphandler_p.h
        items/qquickabstractpaletteprovider_p.h
        items/qquickaccessibleattached.cpp items/qquickaccessibleattached_p.h
        items/qquickanchors.cpp items/qquickanchors_p.h
        items/qquickanchors_p_p.h
        items/qquickborderimage.cpp items/qquickborderimage_p.h
        items/qquickborderimage_p_p.h
        items/qquickclipnode.cpp items/qquickclipnode_p.h
        items/qquickcolorgroup.cpp items/qquickcolorgroup_p.h
        items/qquickevents.cpp
        items/qquickevents_p_p.h
        items/qquickflickable.cpp items/qquickflickable_p.h
        items/qquickflickable_p_p.h
        items/qquickflickablebehavior_p.h
        items/qquickfocusscope.cpp items/qquickfocusscope_p.h
        items/qquickgraphicsconfiguration.cpp items/qquickgraphicsconfiguration.h items/qquickgraphicsconfiguration_p.h
        items/qquickgraphicsdevice.cpp items/qquickgraphicsdevice.h items/qquickgraphicsdevice_p.h
        items/qquickgraphicsinfo.cpp items/qquickgraphicsinfo_p.h
        items/qquickimage.cpp items/qquickimage_p.h
        items/qquickimage_p_p.h
        items/qquickimagebase.cpp items/qquickimagebase_p.h
        items/qquickimagebase_p_p.h
        items/qquickimplicitsizeitem.cpp items/qquickimplicitsizeitem_p.h
        items/qquickimplicitsizeitem_p_p.h
        items/qquickitem.cpp items/qquickitem.h items/qquickitem_p.h
        items/qquickitemanimation.cpp items/qquickitemanimation_p.h
        items/qquickitemanimation_p_p.h
        items/qquickitemchangelistener_p.h
        items/qquickitemgrabresult.cpp items/qquickitemgrabresult.h
        items/qquickitemsmodule.cpp items/qquickitemsmodule_p.h
        items/qquickloader.cpp items/qquickloader_p.h
        items/qquickloader_p_p.h
        items/qquickmousearea.cpp items/qquickmousearea_p.h
        items/qquickmousearea_p_p.h
        items/qquickmultipointtoucharea.cpp items/qquickmultipointtoucharea_p.h
        items/qquickpainteditem.cpp items/qquickpainteditem.h items/qquickpainteditem_p.h
        items/qquickpalette.cpp items/qquickpalette_p.h
        items/qquickpalettecolorprovider.cpp items/qquickpalettecolorprovider_p.h
        items/qquickpaletteproviderprivatebase_p.h
        items/qquickpincharea.cpp items/qquickpincharea_p.h
        items/qquickpincharea_p_p.h
        items/qquickrectangle.cpp items/qquickrectangle_p.h
        items/qquickrectangle_p_p.h
        items/qquickrendercontrol.cpp items/qquickrendercontrol.h items/qquickrendercontrol_p.h
        items/qquickrendertarget.cpp items/qquickrendertarget.h items/qquickrendertarget_p.h
        items/qquickrhiitem.cpp items/qquickrhiitem.h items/qquickrhiitem_p.h
        items/qquickscalegrid.cpp
        items/qquickscalegrid_p_p.h
        items/qquickscreen.cpp items/qquickscreen_p.h
        items/qquickstateoperations.cpp items/qquickstateoperations_p.h
        items/qquicktext.cpp items/qquicktext_p.h
        items/qquicktext_p_p.h
        items/qquicktextinterface_p.h
        items/qquicktextcontrol.cpp items/qquicktextcontrol_p.h
        items/qquicktextcontrol_p_p.h
        items/qquicktextdocument.cpp items/qquicktextdocument.h items/qquicktextdocument_p.h
        items/qquicktextedit.cpp items/qquicktextedit_p.h
        items/qquicktextedit_p_p.h
        items/qquicktextinput.cpp items/qquicktextinput_p.h
        items/qquicktextinput_p_p.h
        items/qsginternaltextnode.cpp items/qsginternaltextnode_p.h
        items/qquicktextnodeengine.cpp items/qquicktextnodeengine_p.h
        items/qquicktextutil.cpp items/qquicktextutil_p.h
        items/qquicktranslate.cpp items/qquicktranslate_p.h
        items/qquickview.cpp items/qquickview.h items/qquickview_p.h
        items/qquickwindow.cpp items/qquickwindow.h items/qquickwindow_p.h
        items/qquickwindowattached.cpp items/qquickwindowattached_p.h
        items/qquickwindowcontainer.cpp items/qquickwindowcontainer_p.h
        items/qquickwindowmodule.cpp items/qquickwindowmodule_p.h
        items/qquickwindowmodule_p_p.h
        qtquickglobal.h qtquickglobal_p.h
        scenegraph/adaptations/software/qsgabstractsoftwarerenderer.cpp scenegraph/adaptations/software/qsgabstractsoftwarerenderer_p.h
        scenegraph/adaptations/software/qsgsoftwareadaptation.cpp scenegraph/adaptations/software/qsgsoftwareadaptation_p.h
        scenegraph/adaptations/software/qsgsoftwarecontext.cpp scenegraph/adaptations/software/qsgsoftwarecontext_p.h
        scenegraph/adaptations/software/qsgsoftwareglyphnode.cpp scenegraph/adaptations/software/qsgsoftwareglyphnode_p.h
        scenegraph/adaptations/software/qsgsoftwareinternalimagenode.cpp scenegraph/adaptations/software/qsgsoftwareinternalimagenode_p.h
        scenegraph/adaptations/software/qsgsoftwareinternalrectanglenode.cpp scenegraph/adaptations/software/qsgsoftwareinternalrectanglenode_p.h
        scenegraph/adaptations/software/qsgsoftwarelayer.cpp scenegraph/adaptations/software/qsgsoftwarelayer_p.h
        scenegraph/adaptations/software/qsgsoftwarepainternode.cpp scenegraph/adaptations/software/qsgsoftwarepainternode_p.h
        scenegraph/adaptations/software/qsgsoftwarepixmaprenderer.cpp scenegraph/adaptations/software/qsgsoftwarepixmaprenderer_p.h
        scenegraph/adaptations/software/qsgsoftwarepixmaptexture.cpp scenegraph/adaptations/software/qsgsoftwarepixmaptexture_p.h
        scenegraph/adaptations/software/qsgsoftwarepublicnodes.cpp scenegraph/adaptations/software/qsgsoftwarepublicnodes_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderablenode.cpp scenegraph/adaptations/software/qsgsoftwarerenderablenode_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderablenodeupdater.cpp scenegraph/adaptations/software/qsgsoftwarerenderablenodeupdater_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderer.cpp scenegraph/adaptations/software/qsgsoftwarerenderer_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderlistbuilder.cpp scenegraph/adaptations/software/qsgsoftwarerenderlistbuilder_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderloop.cpp scenegraph/adaptations/software/qsgsoftwarerenderloop_p.h
        scenegraph/compressedtexture/qsgcompressedatlastexture.cpp scenegraph/compressedtexture/qsgcompressedatlastexture_p.h
        scenegraph/compressedtexture/qsgcompressedtexture.cpp scenegraph/compressedtexture/qsgcompressedtexture_p.h
        scenegraph/coreapi/qsgabstractrenderer.cpp scenegraph/coreapi/qsgabstractrenderer_p.h
        scenegraph/coreapi/qsgabstractrenderer_p_p.h
        scenegraph/coreapi/qsgbatchrenderer.cpp scenegraph/coreapi/qsgbatchrenderer_p.h
        scenegraph/coreapi/qsggeometry.cpp scenegraph/coreapi/qsggeometry.h scenegraph/coreapi/qsggeometry_p.h
        scenegraph/coreapi/qsgmaterial.cpp scenegraph/coreapi/qsgmaterial.h
        scenegraph/coreapi/qsgmaterialshader.cpp scenegraph/coreapi/qsgmaterialshader.h scenegraph/coreapi/qsgmaterialshader_p.h
        scenegraph/coreapi/qsgmaterialtype.h
        scenegraph/coreapi/qsgnode.cpp scenegraph/coreapi/qsgnode.h scenegraph/coreapi/qsgnode_p.h
        scenegraph/coreapi/qsgnodeupdater.cpp scenegraph/coreapi/qsgnodeupdater_p.h
        scenegraph/coreapi/qsgrenderer.cpp scenegraph/coreapi/qsgrenderer_p.h
        scenegraph/coreapi/qsgrendererinterface.cpp scenegraph/coreapi/qsgrendererinterface.h
        scenegraph/coreapi/qsgrendernode.cpp scenegraph/coreapi/qsgrendernode.h scenegraph/coreapi/qsgrendernode_p.h
        scenegraph/coreapi/qsgrhivisualizer.cpp scenegraph/coreapi/qsgrhivisualizer_p.h
        scenegraph/coreapi/qsgtexture.cpp scenegraph/coreapi/qsgtexture.h scenegraph/coreapi/qsgtexture_p.h
        scenegraph/coreapi/qsgtexture_platform.h
        scenegraph/qsgadaptationlayer.cpp scenegraph/qsgadaptationlayer_p.h
        scenegraph/qsgcurveabstractnode_p.h
        scenegraph/qsgbasicglyphnode.cpp scenegraph/qsgbasicglyphnode_p.h
        scenegraph/qsgbasicinternalimagenode.cpp scenegraph/qsgbasicinternalimagenode_p.h
        scenegraph/qsgbasicinternalrectanglenode.cpp scenegraph/qsgbasicinternalrectanglenode_p.h
        scenegraph/qsgcontext.cpp scenegraph/qsgcontext_p.h
        scenegraph/qsgcontextplugin.cpp scenegraph/qsgcontextplugin_p.h
        scenegraph/qsgcurvefillnode.cpp scenegraph/qsgcurvefillnode_p.cpp scenegraph/qsgcurvefillnode_p.h scenegraph/qsgcurvefillnode_p_p.h
        scenegraph/qsgcurvestrokenode.cpp scenegraph/qsgcurvestrokenode_p.cpp scenegraph/qsgcurvestrokenode_p.h scenegraph/qsgcurvestrokenode_p_p.h
        scenegraph/qsgdefaultcontext.cpp scenegraph/qsgdefaultcontext_p.h
        scenegraph/qsgdefaultglyphnode.cpp scenegraph/qsgdefaultglyphnode_p.cpp scenegraph/qsgdefaultglyphnode_p.h
        scenegraph/qsgcurveglyphatlas.cpp scenegraph/qsgcurveglyphatlas_p.h
        scenegraph/qsgcurveglyphnode.cpp scenegraph/qsgcurveglyphnode_p.h
        scenegraph/qsgdefaultglyphnode_p_p.h
        scenegraph/qsgdefaultinternalimagenode.cpp scenegraph/qsgdefaultinternalimagenode_p.h
        scenegraph/qsgdefaultinternalrectanglenode.cpp scenegraph/qsgdefaultinternalrectanglenode_p.h
        scenegraph/qsgdefaultrendercontext.cpp scenegraph/qsgdefaultrendercontext_p.h
        scenegraph/qsgdistancefieldglyphnode.cpp scenegraph/qsgdistancefieldglyphnode_p.cpp scenegraph/qsgdistancefieldglyphnode_p.h
        scenegraph/qsgdistancefieldglyphnode_p_p.h
        scenegraph/qsgrenderloop.cpp scenegraph/qsgrenderloop_p.h
        scenegraph/qsgrhidistancefieldglyphcache.cpp scenegraph/qsgrhidistancefieldglyphcache_p.h
        scenegraph/qsgrhiinternaltextnode.cpp scenegraph/qsgrhiinternaltextnode_p.h
        scenegraph/qsgrhilayer.cpp scenegraph/qsgrhilayer_p.h
        scenegraph/qsgrhishadereffectnode.cpp scenegraph/qsgrhishadereffectnode_p.h
        scenegraph/qsgrhisupport.cpp scenegraph/qsgrhisupport_p.h
        scenegraph/qsgrhitextureglyphcache.cpp scenegraph/qsgrhitextureglyphcache_p.h
        scenegraph/qsgcurveprocessor.cpp scenegraph/qsgcurveprocessor_p.h
        scenegraph/util/qsgareaallocator.cpp scenegraph/util/qsgareaallocator_p.h
        scenegraph/util/qsgdefaultimagenode.cpp scenegraph/util/qsgdefaultimagenode_p.h
        scenegraph/util/qsgdefaultninepatchnode.cpp scenegraph/util/qsgdefaultninepatchnode_p.h
        scenegraph/util/qsgdefaultpainternode.cpp scenegraph/util/qsgdefaultpainternode_p.h
        scenegraph/util/qsgdefaultrectanglenode.cpp scenegraph/util/qsgdefaultrectanglenode_p.h
        scenegraph/util/qsgflatcolormaterial.cpp scenegraph/util/qsgflatcolormaterial.h

=== src/quicknativestyle/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qtquickcontrols2nativestyleplugin Plugin:
#####################################################################

qt_policy(SET QTP0004 NEW)

set(qml_files
    "controls/DefaultButton.qml"
    "controls/DefaultCheckBox.qml"
    "controls/DefaultComboBox.qml"
    "controls/DefaultDial.qml"
    "controls/DefaultFrame.qml"
    "controls/DefaultGroupBox.qml"
    "controls/DefaultItemDelegate.qml"
    "controls/DefaultItemDelegateIconLabel.qml"
    "controls/DefaultProgressBar.qml"
    "controls/DefaultRadioButton.qml"
    "controls/DefaultRadioDelegate.qml"
    "controls/DefaultScrollBar.qml"
    "controls/DefaultSlider.qml"
    "controls/DefaultSpinBox.qml"
    "controls/DefaultTextArea.qml"
    "controls/DefaultTextField.qml"
)

if(MACOS)
    list(APPEND qml_files "util/MacFocusFrame.qml")
elseif(WIN32)
    list(APPEND qml_files "util/WindowsFocusFrame.qml")
endif()

if(QT_FEATURE_quick_treeview)
    list(APPEND qml_files "controls/DefaultTreeViewDelegate.qml")
endif()

qt_internal_add_qml_module(qtquickcontrols2nativestyleplugin
    URI "QtQuick.NativeStyle"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QtQuickControls2NativeStylePlugin
    DEPENDENCIES
        QtQuick.Controls/auto
        QtQuick.Layouts/auto
        QtQuick/auto
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtquickcontrols2nativestyleplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    SOURCES
        items/qquickstyleitem.cpp items/qquickstyleitem.h
        items/qquickstyleitembutton.cpp items/qquickstyleitembutton.h
        items/qquickstyleitemcheckbox.cpp items/qquickstyleitemcheckbox.h
        items/qquickstyleitemdelaybutton.cpp items/qquickstyleitemdelaybutton.h
        items/qquickstyleitemcheckdelegate.cpp items/qquickstyleitemcheckdelegate.h
        items/qquickstyleitemdial.cpp items/qquickstyleitemdial.h
        items/qquickstyleitemframe.cpp items/qquickstyleitemframe.h
        items/qquickstyleitemgroupbox.cpp items/qquickstyleitemgroupbox.h
        items/qquickstyleitemprogressbar.cpp items/qquickstyleitemprogressbar.h
        items/qquickstyleitemradiobutton.cpp items/qquickstyleitemradiobutton.h
        items/qquickstyleitemradiodelegate.cpp items/qquickstyleitemradiodelegate.h
        items/qquickstyleitemscrollbar.cpp items/qquickstyleitemscrollbar.h
        items/qquickstyleitemslider.cpp items/qquickstyleitemslider.h
        items/qquickstyleitemspinbox.cpp items/qquickstyleitemspinbox.h
        items/qquickstyleitemtextfield.cpp items/qquickstyleitemtextfield.h
        qstyle/qquickcommonstyle.cpp qstyle/qquickcommonstyle.h qstyle/qquickcommonstyle_p.h
        qstyle/qquickcommonstylepixmaps_p.h
        qstyle/qquickdrawutil.cpp qstyle/qquickdrawutil.h
        qstyle/qquicknativestyle.cpp qstyle/qquicknativestyle.h
        qstyle/qquickstyle.cpp qstyle/qquickstyle.h qstyle/qquickstyle_p.h
        qstyle/qquickstylehelper.cpp qstyle/qquickstylehelper_p.h
        qstyle/qquickstyleoption.cpp qstyle/qquickstyleoption.h
        qtquickcontrols2nativestyleplugin.cpp
        util/qquickfocusframe.cpp util/qquickfocusframe.h
    QML_FILES
        ${qml_files}
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    INCLUDE_DIRECTORIES
        items
        qstyle
        util
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickControls2Private
        Qt::QuickPrivate
        Qt::QuickTemplates2Private
)

qt_internal_extend_target(qtquickcontrols2nativestyleplugin CONDITION QT_FEATURE_quick_treeview
    SOURCES
        items/qquickstyleitemtreeindicator.cpp items/qquickstyleitemtreeindicator.h
)

qt_internal_extend_target(qtquickcontrols2nativestyleplugin CONDITION QT_FEATURE_qml_delegate_model
    SOURCES
        items/qquickstyleitemcombobox.cpp items/qquickstyleitemcombobox.h
)

qt_internal_extend_target(qtquickcontrols2nativestyleplugin CONDITION MACOS
    SOURCES
        items/qquickstyleitemscrollviewcorner.cpp items/qquickstyleitemscrollviewcorner.h
        qstyle/mac/qquickmacstyle_mac.mm qstyle/mac/qquickmacstyle_mac_p.h
        qstyle/mac/qquickmacstyle_mac_p_p.h
        util/qquickmacfocusframe.h util/qquickmacfocusframe.mm
    INCLUDE_DIRECTORIES
        qstyle/mac
    LIBRARIES
        ${FWAppKit}
)

qt_internal_extend_target(qtquickcontrols2nativestyleplugin CONDITION WIN32
    SOURCES
        qstyle/windows/qquickwindowsstyle.cpp qstyle/windows/qquickwindowsstyle_p.h
        qstyle/windows/qquickwindowsstyle_p_p.h
        qstyle/windows/qquickwindowsxpstyle.cpp
        qstyle/windows/qquickwindowsxpstyle_p.h
        qstyle/windows/qquickwindowsxpstyle_p_p.h
        util/qquickwindowsfocusframe.cpp util/qquickwindowsfocusframe.h
    INCLUDE_DIRECTORIES
        qstyle/windows
    LIBRARIES
        gdi32
        user32
        uxtheme
)

=== tools/qmlaotstats/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_get_tool_target_name(target_name qmlaotstats)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "QML ahead-of-time compiler statistics aggregator"
    TOOLS_TARGET Qml # special case
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        main.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::QmlPrivate
        Qt::QmlCompilerPrivate
        Qt::QmlToolingSettingsPrivate
)
qt_internal_return_unless_building_tools()

=== tools/qmltime/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qmltime.pro.

#####################################################################
## qmltime Tool:
#####################################################################

qt_get_tool_target_name(target_name qmltime)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "QML Time"
    TOOLS_TARGET Qml # special case
    SOURCES
        qmltime.cpp qmltime.h
    LIBRARIES
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::QuickPrivate
)
qt_internal_return_unless_building_tools()

# Turn the tool into its own self-contained qml module
qt_internal_add_qml_module(${target_name}
    URI QmlTime
    VERSION 1.0
    NO_PLUGIN
)

=== examples/qml/qml-i18n/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(qml-i18n LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Qml LinguistTools)

qt_standard_project_setup(REQUIRES 6.8 I18N_TRANSLATED_LANGUAGES en en_AU fr)

qt_add_executable(qmli18n WIN32 MACOSX_BUNDLE main.cpp)

target_link_libraries(qmli18n PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
)

qt_add_qml_module(qmli18n
    URI Translated
    QML_FILES
        Main.qml
)

qt_add_translations(qmli18n
    RESOURCE_PREFIX /qt/qml/Translated/i18n
    TS_FILE_BASE qml
    TS_FILE_DIR i18n
)

install(TARGETS qmli18n
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET qmli18n
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== examples/quickcontrols/chattutorial/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_internal_add_example(chapter1)
qt_internal_add_example(chapter2)
qt_internal_add_example(chapter3)
if (TARGET Qt6::Sql)
    qt_internal_add_example(chapter4)
    if(TARGET chattutorial-chapter4)
        set_target_properties(chattutorial-chapter4 PROPERTIES UNITY_BUILD OFF)
    endif()
    qt_internal_add_example(chapter5)
    if(TARGET chattutorial-chapter5)
        set_target_properties(chattutorial-chapter5 PROPERTIES UNITY_BUILD OFF)
    endif()
endif()

=== examples/quickcontrols/flatstyle/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(flatstyle LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick QuickControls2 Widgets)

qt_standard_project_setup(REQUIRES 6.8)

qt_add_executable(flatstyleexample WIN32 MACOSX_BUNDLE
    main.cpp
)

qt_add_qml_module(flatstyleexample
    URI flatstyle
    NO_RESOURCE_TARGET_PATH
    QML_FILES
        "MainForm.ui.qml"
        "flatstyle.qml"
        "imports/Flat/Button.qml"
        "imports/Flat/CheckBox.qml"
        "imports/Flat/Switch.qml"
        "imports/Theme/Theme.qml"
    RESOURCES
        "imports/Flat/qmldir"
        "imports/Theme/qmldir"
        "qtquickcontrols2.conf"
)

target_link_libraries(flatstyleexample PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Quick
    Qt6::QuickControls2
    Qt6::Widgets
)

install(TARGETS flatstyleexample
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET flatstyleexample
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== tests/auto/qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qml.pro.


qt_exclude_tool_directories_from_default_target(
    qmlplugindump
)

add_subdirectory(registrationmacros)
add_subdirectory(parserstress)
add_subdirectory(linebylinelex)
add_subdirectory(qjsprimitivevalue)
add_subdirectory(qjsvalueiterator)
add_subdirectory(qjsonbinding)
add_subdirectory(qqmlfile)

if(NOT INTEGRITY)
    # The INTEGRITY linker tends to crash on tst_qqmlfileselector and tst_qml_common
    add_subdirectory(qqmlfileselector)
    add_subdirectory(common)
endif()

# Limit set of tests to run for static Qt builds.
if(QT_BUILD_MINIMAL_STATIC_TESTS)
    return()
endif()

add_subdirectory(qqmlcomponent)
add_subdirectory(qqmlconsole)
add_subdirectory(qqmlengine)
add_subdirectory(qqmlerror)
add_subdirectory(qqmlincubator)
add_subdirectory(qqmlinfo)
add_subdirectory(qqmllistreference)
if(QT_FEATURE_qml_locale)
    add_subdirectory(qqmllocale)
endif()
add_subdirectory(qqmlmetaobject)
if(NOT ANDROID) # QTBUG-100003
    add_subdirectory(qqmlmoduleplugin)
endif()
add_subdirectory(qqmlnotifier)
add_subdirectory(qqmlqt)
add_subdirectory(qqmlxmlhttprequest)
add_subdirectory(qqmlpromise)
add_subdirectory(qtqmlmodules)
add_subdirectory(qquickfolderlistmodel)
add_subdirectory(qqmlapplicationengine)
if(QT_FEATURE_settings)
    add_subdirectory(qqmlsettings)
endif()

if(NOT INTEGRITY)
# There's no mounted filesystem on INTEGRITY therefore skipping qmldiskcache
    add_subdirectory(qmldiskcache)
endif()

add_subdirectory(qqmlmetatype)
if(TARGET Qt::Quick)
    add_subdirectory(qmltc_manual)
    # QML type compiler tests cannot be run on webOS due to missing support for multiple
    # consecutive window creation from a single QtWayland client
    if(NOT WEBOS)
        add_subdirectory(qmltc)
    endif()
    # This test always creates static plugins. To avoid linker command line
    # ordering issues, we need at least CMake 3.21 and we cannot include the
    # test if qmlimportscanner is being built as part of the main project.
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.21 AND
        (QT_BUILD_STANDALONE_TESTS OR QT6_IS_SHARED_LIBS_BUILD))
        add_subdirectory(qmlbasicapp)
    endif()
    if(NOT CMAKE_CROSSCOMPILING)
        add_subdirectory(qqmljsscope)
    endif()
endif()
add_subdirectory(qmlsplitlib)
if(TARGET Qt::Widgets)
    add_subdirectory(qjsengine)
    add_subdirectory(qjsvalue)
    add_subdirectory(qjsmanagedvalue)
    add_subdirectory(qwidgetsinqml)
endif()
if(QT_FEATURE_process AND QT_FEATURE_qml_debug)
    add_subdirectory(debugger)
endif()
if(QT_FEATURE_process AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(qmlformat)
    add_subdirectory(qmlimportscanner)
    add_subdirectory(qmllint)
    add_subdirectory(qmltc_qprocess)
    add_subdirectory(qmltyperegistrar)
    add_subdirectory(qmlplugindump)
    add_subdirectory(qml)
endif()
if(QT_FEATURE_library)
    add_subdirectory(qqmlextensionplugin)
endif()
if(QT_FEATURE_private_tests)
    add_subdirectory(qqmlcpputils)
    add_subdirectory(qqmldirparser)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.19" AND QT_FEATURE_process)
        # Calls qt6_target_qml_sources() directly, which needs CMake 3.19+
        add_subdirectory(qmlcachegen)
    endif()
    add_subdirectory(qmlcppcodegen)
    add_subdirectory(animation)
    add_subdirectory(qqmlecmascript)
    add_subdirectory(qqmlanybinding)
    add_subdirectory(qqmlcontext)
    add_subdirectory(qqmlexpression)
    add_subdirectory(qqmlglobal)
    add_subdirectory(qqmllanguage)
    add_subdirectory(qqmlopenmetaobject)
    add_subdirectory(qqmlproperty)
    add_subdirectory(qqmlpropertycache)
    add_subdirectory(qqmlpropertymap)
# special case begin
    if (TARGET Qt::Sql)
# special case end
        add_subdirectory(qqmlsqldatabase)
# special case begin
    endif()
# special case end
    add_subdirectory(qqmlvaluetypes)
    add_subdirectory(qqmlvaluetypeproviders)
    add_subdirectory(qqmlbinding)
    add_subdirectory(qqmlchangeset)
    add_subdirectory(qqmlconnections)
    add_subdirectory(qqmllistcompositor)
    add_subdirectory(qqmllistmodel)
    add_subdirectory(qqmllistmodelworkerscript)
    add_subdirectory(qqmlitemmodels)
    add_subdirectory(qqmltypeloader)
    add_subdirectory(qqmlparser)
    add_subdirectory(qquickworkerscript)
    add_subdirectory(qrcqml)
    add_subdirectory(qqmltimer)
    add_subdirectory(qqmlinstantiator)
    add_subdirectory(qqmlenginecleanup)
    add_subdirectory(qqmltranslation)
    add_subdirectory(qqmlimport)
    add_subdirectory(qqmlobjectmodel)
    add_subdirectory(qqmltablemodel)
    add_subdirectory(qqmltreemodeltotablemodel)
    add_subdirectory(qv4assembler)
    add_subdirectory(qv4mm)
    add_subdirectory(qv4estable)
    add_subdirectory(qv4identifiertable)
    add_subdirectory(qv4regexp)
    add_subdirectory(qv4urlobject)
    if(QT_FEATURE_process AND NOT QNX AND NOT
        (ANDROID AND CLANG AND
          CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL "14.0.0" AND
          CMAKE_CXX_COMPILER_VERSION VERSION_LESS "15.0.0"))
        add_subdirectory(ecmascripttests)
    endif()
    add_subdirectory(bindingdependencyapi)
    add_subdirectory(v4misc)
    add_subdirectory(qqmldelegatemodel) # special case
    if (QT_FEATURE_qml_xmllistmodel)
        add_subdirectory(qqmlxmllistmodel)
    endif()
endif()
if(NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(qqmljsutils)
endif()

=== tests/auto/qmltest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qmltest.pro.

add_subdirectory(animatedimage)
add_subdirectory(animations)
add_subdirectory(borderimage)
add_subdirectory(buttonclick)
add_subdirectory(createbenchmark)
add_subdirectory(events)
add_subdirectory(fontloader)
add_subdirectory(fuzzycompare)
add_subdirectory(gradient)
add_subdirectory(image)
add_subdirectory(itemgrabber)
add_subdirectory(layout)
add_subdirectory(listmodel)
add_subdirectory(listview)
add_subdirectory(objectmodel)
add_subdirectory(pathview)
add_subdirectory(positioners)
add_subdirectory(qqmlbinding)
add_subdirectory(qtbug46798)
add_subdirectory(rectangle)
add_subdirectory(selftests)
add_subdirectory(shadersource)
add_subdirectory(stability)
add_subdirectory(text)
add_subdirectory(textedit)
add_subdirectory(textinput)
add_subdirectory(window)

=== debian/changelog ===
qt6-declarative (6.8.2+dfsg-7+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.2.2+dfsg-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Mar 2022 17:37:51 +0000]
  * Update symbols files for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 04 Apr 2025 04:05:28 +0000

qt6-declarative (6.8.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols file for 32 vs 64 bits. (Closes: #1099573, #1099824)

 -- Pino Toscano <pino@debian.org>  Sat, 29 Mar 2025 06:39:10 +0100

qt6-declarative (6.8.2+dfsg-6) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:34:33 +0100

qt6-declarative (6.8.2+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Feb 2025 08:23:04 +0100

qt6-declarative (6.8.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 17 Feb 2025 22:40:32 +0100

qt6-declarative (6.8.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 22:00:14 +0100

qt6-declarative (6.8.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add qt6-qmlls-plugins as a dependency to qt6-declarative-dev.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 10 Feb 2025 18:11:53 +0100

qt6-declarative (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 04 Feb 2025 22:44:50 +0100

=== debian/control ===
Source: qt6-declarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               liblttng-ust-dev [linux-any],
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
               qt6-declarative-dev:native <cross>,
               qt6-languageserver-private-dev (>= 6.8.2~),
               qt6-shadertools-dev (>= 6.8.2~),
               qt6-svg-dev (>= 6.8.2~),
               qt6-svg-private-dev (>= 6.8.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative
Rules-Requires-Root: no

Package: libqt6qml6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-declarative-private-abi (= 6.8.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libgl1, libglx-mesa0,
Suggests: qt6-qmltooling-plugins,
Description: Qt 6 QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt6labsplatform6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Labs Platform library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs Platform library.

Package: libqt6qmlcompiler6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Compiler library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Compiler library.

Package: libqt6qmlmeta6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Meta library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Meta support library.

Package: libqt6qmlmodels6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Models library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Models support library.

Package: libqt6qmlnetwork6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Network library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Network support library.

Package: libqt6qmlworkerscript6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML WorkerScript library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML WorkerScript support library.

Package: libqt6quick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt6quickcontrols2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
Replaces: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
Description: Qt 6 Quick Controls 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Controls 2 support library.

Package: libqt6quickshapes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Shapes library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Shapes support library.

Package: libqt6quicktemplates2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Templates 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Templates 2 support library.

Package: libqt6quicktest6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt6quickvectorimage6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Vector Image library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Vector Image support library.

Package: libqt6quickvectorimagegenerator6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Vector Image Generator library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Vector Image Generator support library.

Package: libqt6quickwidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qt6-qmllint-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmllint plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmllint plugins.

Package: qt6-qmlls-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmlls plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmlls plugins.

Package: qt6-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling plugins.

Package: qml6-module-assets-downloader
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Assets Downloader QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains QML types related to the assets downloader.

Package: qml6-module-qml
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains the base QML types.

Package: qml6-module-qmltime
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 QmlTime QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains QML types related to timers.

Package: qml6-module-qt-labs-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsanimation6,
Replaces: libqt6labsanimation6,
Description: Qt 6 Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to animation.

Package: qml6-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsfolderlistmodel6,
Replaces: libqt6labsfolderlistmodel6,
Description: Qt 6 FolderListModel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qml6-module-qt-labs-platform
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Platform QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The experimental Qt Labs Platform module provides QML types for native
 platform extensions.

Package: qml6-module-qt-labs-qmlmodels
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsqmlmodels6,
Replaces: libqt6labsqmlmodels6,
Description: Qt 6 QML Models QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for defining data models in QML.

Package: qml6-module-qt-labs-settings
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DINSTALL_PUBLICBINDIR=/usr/bin \
		$(extra_cmake_args)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_makeshlibs:
	dh_makeshlibs \
		-XlibQt6QuickControls2Impl \
		-XlibQt6QuickControls2Basic \
		-XlibQt6QuickControls2BasicStyleImpl \
		-XlibQt6QuickControls2Fusion \
		-XlibQt6QuickControls2FusionStyleImpl \
		-XlibQt6QuickControls2Imagine \
		-XlibQt6QuickControls2ImagineStyleImpl \
		-XlibQt6QuickControls2Material \
		-XlibQt6QuickControls2MaterialStyleImpl \
		-XlibQt6QuickControls2Universal \
		-XlibQt6QuickControls2UniversalStyleImpl

override_dh_qmldeps:
	LD_LIBRARY_PATH=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ dh_qmldeps

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
